const UI = {
  status: {
    offline: {
      enabled: false,
      message: "Sorry, we're down for scheduled maintenance right now.",
    },
  },
  menu: {
    applicationTitle: 'Data Portal',
    isSearchVisible: true,
    isClosedDataVisible: true,
    isOpenDataVisible: true,
    isMySelectionVisible: true,
  },
  sampleTracking: {
    //** Makes visible or invisible the menus and tabs related to sample tracking */
    enabled: true,
  },
  loginForm: {
    header: '',
    /** Text displayed on top of the username sigin form. Someone can customize the text as: User office account, ESRF Account, Umbrella account, etc... */
    usernameLabel: 'Username',
    sso: {
      title: 'Sign in with ESRF SSO',
      buttonText: 'ESRF SSO', // deprecated
    },
  },
  investigationContainer: {
    isDatasetListVisible: true,
  },
  logbook: {
    /** Number of logbook events to display per page. EVENTS_PER_PAGE should be lower than EVENTS_PER_DOWNLOAD */
    EVENTS_PER_PAGE: 100,
    /** Maximum number of logbook events downloaded from the server. This enables to store a larger set of
        events than those required for a single page thus reducing HTTP requests to the server. */
    EVENTS_PER_DOWNLOAD: 300,
    /* the field used to sort events. Most of the time 'creationDate' is used. Possible values: 'creationDate', '_id', 'createdAt', 'updatedAt' */
    SORT_EVENTS_BY: '_id',
    /* the order the events sorted by SORT_EVENTS_BY will be ordered. Possible values: 1 (for ascending order), -1 (for descending order)*/
    SORTING_ORDER: -1,
    /** Tinymce editor minimum height when there is a single editor in the modal */
    SINGLE_EDITOR_MIN_HEIGHT: '200px',
    /** Tinymce editor maximum height when there is a single editor in the modal */
    SINGLE_EDITOR_MAX_HEIGHT: '808px',
    /** Tinymce editor minimum height when there are 2 editors in the modal */
    DUAL_EDITOR_MIN_HEIGHT: '270px',
    /** Tinymce editor maximum height when there are 2 editors in the modal */
    DUAL_EDITOR_MAX_HEIGHT: '270px',
    /* Default tag color used in the logbook when tag color is not set */
    DEFAULT_TAG_COLOR: '#a6bded',
    /* Refresh event list periodically with a time interval defined by AUTOREFRESH_DELAY when new events arrived.
     * When it is set to false, the event list is not refreshed but the amount of new events which arriived is shown.*/
    AUTOREFRESH_EVENTLIST: true,
    /* Time interval between requests checking whether new events arrived. (in milliseconds) */
    AUTOREFRESH_DELAY: 60000,
  },
  dangerousGoodsHelp:
    'Please ensure you reply correctly to this question after consultation with your lab safety referent and/or the transport company. This question is for ESRF internal use only - you must correctly declare your parcel in the official transport documents',
  footer: {
    text: 'European Synchrotron Radiation Facility',
  },
  samplePageTemplateURL:
    'https://smis.esrf.fr/misapps/SMISWebClient/protected/samplesheet/view.do?pk=',
};

export default UI;
